Alignment (BioJava-1.5-beta API)
Keywords: org.biojava.bio.program.das.dasalignment.Alignment class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.bio.program.das.dasalignment
Class Alignment

    java.lang.Object
      org.biojava.bio.program.das.dasalignment.Alignment

    public class Alignment

extends Object

Alignment object to contain/manage a DAS alignment. see also DAS specification at http://www.sanger.ac.uk/xml/das/documentation/new_spec.html supports also structure alignments (optional shift vector and rotation matrix for objects)

Since:
  1.4
Author:
  Andreas Prlic

Constructor Summary
`Alignment()` Construct a new empty Alignment object.

Method Summary
`void` | `addBlock(Annotation block)` Add a "Block" Annotation.
`void` | `addMatrix(Annotation matrix)` add Annotation of DAS alignment "matrix" type.
`void` | `addObject(Annotation object)` add Annotation of DAS alignment "object" type.
`void` | `addScore(Annotation score)` adds a "Score" Annotation.
`void` | `addVector(Annotation vector)` add Annotation of DAS alignment "vector" type.
`static AnnotationType` | `getBlockAnnotationType()` define the alignment Block Annotation Type.
`Annotation[]` | `getBlocks()` get all Annotations of type "Block".
`Annotation[]` | `getMatrices()` Returns the matrices.
`static AnnotationType` | `getMatrixAnnotationType()` define the rotation matrix annotation type
`static AnnotationType` | `getObjectAnnotationType()` define the alignment object Annotation Type.
`Annotation[]` | `getObjects()` Returns the Annotation of all objects in this Alignment.
`static AnnotationType` | `getScoreAnnotationType()` define the alignment Score Annotation Type.
`Annotation[]` | `getScores()` get all "Score" Annotations.
`static AnnotationType` | `getSegmentAnnotationType()` define the alignment Segment Annotation Type.
`static AnnotationType` | `getVectorAnnotationType()` define the shift vector annotation type
`Annotation[]` | `getVectors()` Returns the shift vectors.
`String` | `toString()` convert to String.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Alignment

    public Alignment()

  Construct a new empty Alignment object.

Method Detail

### getVectorAnnotationType

    public static AnnotationType getVectorAnnotationType()

  define the shift vector annotation type

  Returns:
    an AnnotationType object representing the shift vector for an object

### getMatrixAnnotationType

    public static AnnotationType getMatrixAnnotationType()

  define the rotation matrix annotation type

  Returns:
    an AnnotationType object representing the rotation matrix for an object in a structure alignment.

### getScoreAnnotationType

    public static AnnotationType getScoreAnnotationType()

  define the alignment Score Annotation Type.

  Returns:
    an AnnotationType object representing the score annotation type

### getBlockAnnotationType

    public static AnnotationType getBlockAnnotationType()

  define the alignment Block Annotation Type.

  Returns:
    an AnnotationType object representing the block annotation type

### getSegmentAnnotationType

    public static AnnotationType getSegmentAnnotationType()

  define the alignment Segment Annotation Type.

  Returns:
    an AnnotationType object representing the segment annotation type

### getObjectAnnotationType

    public static AnnotationType getObjectAnnotationType()

  define the alignment object Annotation Type.

  Returns:
    an AnnotationType object representing the object annotation type

### addVector

    public void addVector(Annotation vector)
                   throws DASException

  add Annotation of DAS alignment "vector" type.

  Parameters:
    `vector` - a vector
  Throws:
    `DASException` - ...
  See Also:
    `getVectorAnnotationType()`

### addMatrix

    public void addMatrix(Annotation matrix)
                   throws DASException

  add Annotation of DAS alignment "matrix" type.

  Parameters:
    `matrix` - a matrix
  Throws:
    `DASException` - ...
  See Also:
    `getMatrixAnnotationType()`

### addObject

    public void addObject(Annotation object)
                   throws DASException

  add Annotation of DAS alignment "object" type.

  Parameters:
    `object` - an Annotation object
  Throws:
    `DASException` - ...
  See Also:
    `getObjectAnnotationType()`

### getObjects

    public Annotation[] getObjects()

  Returns the Annotation of all objects in this Alignment.

  Returns:
    an array of Annotation objects

### getVectors

    public Annotation[] getVectors()

  Returns the shift vectors.

  Returns:
    an array of shift vectors

### getMatrices

    public Annotation[] getMatrices()

  Returns the matrices.

  Returns:
    an array of the matrices

### addScore

    public void addScore(Annotation score)
                  throws DASException

  adds a "Score" Annotation.

  Parameters:
    `score` - an Annotation object
  Throws:
    `DASException` - ...
  See Also:
    `getScoreAnnotationType()`

### getScores

    public Annotation[] getScores()

  get all "Score" Annotations.

  Returns:
    an array of Annotation objects representing the scores value
  Throws:
    `DASException` - ...

### addBlock

    public void addBlock(Annotation block)
                  throws DASException

  Add a "Block" Annotation.

  Parameters:
    `block` - an Annotation object
  Throws:
    `DASException` - ...
  See Also:
    `getBlockAnnotationType()`

### getBlocks

    public Annotation[] getBlocks()

  get all Annotations of type "Block".

  Returns:
    an array of Annotation objects representing the Aligmnent blocks

### toString

    public String toString()

  convert to String.

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD